## haskell-hsh 1.2.6.4build1

=== Makefile ===
# Copyright (C) 2004 - 2007 John Goerzen <jgoerzen@complete.org>
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

GHCPARMS := -fglasgow-exts

.PHONY: all hugsbuild
all: setup
	./setup configure
	./setup build

hugsbuild: 
	hugs Setup.lhs configure --hugs
	hugs Setup.lhs build

install: setup
	./setup install

setup: Setup.lhs HSH.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/* testtmp*

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -fglasgow-exts -package filepath -package base -package mtl -package HUnit -package MissingH -package unix -package hslogger -package regex-compat -package regex-base -package regex-posix -o runtests  -i../dist/build:.. runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: hugsbuild
	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6

## haskell-hsh 1.2.3

=== debian/changelog ===
haskell-hsh (1.2.3) unstable; urgency=low

  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 06:52:20 -0500

haskell-hsh (1.2.2) unstable; urgency=low

  * Rebuild for newer MissingH.  Closes: #421452.
  * Rebuild for newer FilePath.  Closes: #419194.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 19:57:14 -0500

haskell-hsh (1.2.1) unstable; urgency=low

  * Rebuild for newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  8 Mar 2007 14:31:13 -0600

haskell-hsh (1.2.0) unstable; urgency=low

  * Renamed catFromS to echo.
  * New commands mkdir, glob, bracketCD

 -- John Goerzen <jgoerzen@complete.org>  Sat,  3 Mar 2007 08:20:48 -0600

haskell-hsh (1.1.0) unstable; urgency=low

  * Bumping version number (should have in 1.0.1 due to API change)
  * New ShellEquivs commands: appendTo, exit
  * New Commands helpers: runIO, runSL
  * Fixes to readlink, readlinkabs

 -- John Goerzen <jgoerzen@complete.org>  Sat,  3 Mar 2007 08:06:20 -0600

haskell-hsh (1.0.1) unstable; urgency=low

  * New class to handle the different ways of invoking run.
  * Many new ways to get results back.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  1 Mar 2007 17:41:00 -0600

haskell-hsh (1.0.0) unstable; urgency=low

  * Initial release.  Closes: #413017.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  1 Mar 2007 03:00:56 -0600

=== debian/control ===
Source: haskell-hsh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), haddock, libghc6-mtl-dev, libghc6-missingh-dev (>= 0.18.4), libghc6-hslogger-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hsh-dev
Section: libdevel
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libghc6-mtl-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 0.18.4)
Description: Library to mix shell scripting with Haskell programs
 HSH is designed to let you mix and match shell expressions with
 Haskell programs. With HSH, it is possible to easily run shell
 commands, capture their output or provide their input, and pipe them
 to/from other shell commands and arbitrary Haskell functions at will.

## haskell-hsh 1.2.5.1

=== debian/changelog ===
haskell-hsh (1.2.5.1) unstable; urgency=low

  * Rebuild wiht newer regexp.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Feb 2008 06:43:18 -0600

haskell-hsh (1.2.5.0) unstable; urgency=low

  * Updates for GHC 6.8 and 6.8 libs.   

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 03:59:19 -0600

haskell-hsh (1.2.4) unstable; urgency=low

  * Rebuild for newer libs.  Closes: #429708, #432448, #430016.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Jul 2007 03:21:30 -0500

=== debian/control ===
Source: haskell-hsh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), haddock, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.0.1), libghc6-hslogger-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hsh-dev
Section: libdevel
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libghc6-mtl-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 1.0.0.1)
Description: Library to mix shell scripting with Haskell programs
 HSH is designed to let you mix and match shell expressions with
 Haskell programs. With HSH, it is possible to easily run shell
 commands, capture their output or provide their input, and pipe them
 to/from other shell commands and arbitrary Haskell functions at will.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-./setup clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_haskell -a
#	$(MAKE) clean
# We can't test PostgreSQL because the server may not be available for
# the build user.
	$(MAKE) test
	./setup haddock

# Build architecture-independent files here.
binary-indep: build install
# Nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a dist/doc/html
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## haskell-hsh 1.2.6.1

=== debian/changelog ===
haskell-hsh (1.2.6.1) unstable; urgency=low

  * Rebuild with newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 23 Apr 2008 02:57:01 -0500

haskell-hsh (1.2.6.0) unstable; urgency=low

  * Now support ByteString for many operations.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 10 Apr 2008 17:47:34 -0500

haskell-hsh (1.2.5.2) unstable; urgency=low

  * Rebuild against newer hslogger.  Closes: #468961.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 02 Mar 2008 11:29:56 -0600

=== debian/control ===
Source: haskell-hsh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), haddock, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.1.0), libghc6-hslogger-dev (>= 1.0.5)
Standards-Version: 3.6.2
Section: libs
Homepage: http://software.complete.org/hsh
Vcs-Git: git://git.complete.org/hsh
Vcs-Browser: http://git.complete.org/hsh

Package: libghc6-hsh-dev
Section: libdevel
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libghc6-mtl-dev, libghc6-hslogger-dev (>= 1.0.5), libghc6-missingh-dev (>= 1.0.1.0)
Description: Library to mix shell scripting with Haskell programs
 HSH is designed to let you mix and match shell expressions with
 Haskell programs. With HSH, it is possible to easily run shell
 commands, capture their output or provide their input, and pipe them
 to/from other shell commands and arbitrary Haskell functions at will.

## haskell-hsh 1.2.6.4

=== debian/changelog ===
haskell-hsh (1.2.6.4) unstable; urgency=high

  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 15:58:13 -0600

haskell-hsh (1.2.6.3) unstable; urgency=low

  * Rebuild with newer libs.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 09:15:40 -0600

haskell-hsh (1.2.6.2) unstable; urgency=low

  * Rebuild with newer MissingH and hslogger.  Closes: #429708.
  * Use dh_haskell_depends in debian/rules to permanently help fix this problem.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 05 Dec 2008 14:13:58 -0600

## haskell-hsh 1.2.6.4build1

=== debian/changelog ===
haskell-hsh (1.2.6.4build1) jaunty; urgency=low

  * No-change rebuild against new haskell-regex-compat.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 07 Mar 2009 14:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: haskell-hsh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), haddock, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.1.0), libghc6-hslogger-dev (>= 1.0.5)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), haddock, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.3.2), libghc6-hslogger-dev (>= 1.0.7.2)
 Standards-Version: 3.6.2
 Section: libs
 Homepage: http://software.complete.org/hsh

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	# Add here commands to install the package into debian/tmp
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	dh_haskell -a
+	dh_haskell_depends -a
 #	$(MAKE) clean
 # We can't test PostgreSQL because the server may not be available for
 # the build user.

## haskell-hsh 2.1.0

=== debian/changelog ===
haskell-hsh (2.1.0-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 10:33:49 +0100

haskell-hsh (2.1.0-2) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:59 +0200

haskell-hsh (2.1.0-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Change Vcs headers to Darcs
  * Add watch file
  * New upstream release
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 07 Feb 2013 21:39:37 +0100

haskell-hsh (2.0.3-6) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:37:21 -0400

haskell-hsh (2.0.3-5) unstable; urgency=low

  * Fix detection of threaded runtime (include hlibrary.mk first!) 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Jun 2011 22:31:50 +0200

haskell-hsh (2.0.3-4) unstable; urgency=low

  * [482498f] s/ghc6/ghc/
  * [4295e79] Standards-Version → 3.9.2, no changes required
  * [9b4826d] Use haskell substvars
  * [01f9b9f] Add -prof package
  * [fd18206] Remove unnecessary debian/dirs file
  * [1d409fc] Add -doc package
  * [9df42f2] BD on backport-safe versions

 -- Iain Lane <laney@debian.org>  Mon, 30 May 2011 23:23:33 +0100

haskell-hsh (2.0.3-3) unstable; urgency=low

  * Add threaded flag to cabal file and implement logic in debian/rules to
    detect whether a threaded runtime is available at build time. (Closes:
    #542842)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 07 May 2010 19:44:27 +0200

haskell-hsh (2.0.3-2) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * NMU upload ok-ed by regular maintainer.
  * debian/rules
    - Convert to hlibrary.mk (dh_haskell was removed to haskell-devscripts).
  * debian/control
    - Depend on haskell-devscripts >= 0.6.18.
    - Move Build-Depends-Indeps to Build-Depends.
    - Add hscolour to build deps.
    - Standards-Version 3.8.3
    - Section haskell.
   * debian/compat
    - Version 5

  [ John Goerzen ]
  * Rebuild with GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Feb 2010 10:26:33 -0600

haskell-hsh (2.0.3-1) unstable; urgency=low

  * New upstream version fixes a hang condition in some situations.
  * Added build-dep on utf8-string.  Closes: #536679.
  * Rebuilt with newer GHC.  Closes: #525480.
  * Switched to Haskell team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 20 Aug 2009 08:40:48 -0500

haskell-hsh (2.0.0-1) unstable; urgency=low

  * New upstream release:
    + Core completely re-implemented in terms of System.Process instead
      of the POSIX-specific routines.  Significant reduction in
      code size and complexity.  Better compatibility.
    + Simplify and rework several ShellEquivs functions.
    + Eliminate ShellEquivs functions no longer needed: teeBS, teeFIFOBS, 
      catToBS, catToFIFOBS, catFromBS.
    + Drop (>|-) operator -- no longer useful
  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 03 Jun 2009 21:28:05 -0500

=== debian/control ===
Source: haskell-hsh
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Build-Depends: cdbs,
               debhelper (>= 9),
               ghc (>= 6.12),
               ghc-doc (>= 6.12),
               ghc-prof (>= 6.12),
               haddock,
               haskell-devscripts (>= 0.8.13),
               hscolour,
               libghc-hslogger-dev (>= 1.0.8-2~),
               libghc-hslogger-doc (>= 1.0.8-2~),
               libghc-hslogger-prof (>= 1.0.8-2~),
               libghc-missingh-dev (>= 1.1.0.1-1~),
               libghc-missingh-doc (>= 1.1.0.1-1~),
               libghc-missingh-prof (>= 1.1.0.1-1~),
               libghc-mtl-dev,
               libghc-mtl-doc,
               libghc-mtl-prof
Standards-Version: 3.9.4
Section: haskell
Homepage: http://software.complete.org/hsh
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hsh
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hsh


Package: libghc-hsh-dev
Section: haskell
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Library to mix shell scripting with Haskell programs
 HSH is designed to let you mix and match shell expressions with
 Haskell programs. With HSH, it is possible to easily run shell
 commands, capture their output or provide their input, and pipe them
 to/from other shell commands and arbitrary Haskell functions at will.

Package: libghc-hsh-prof
Section: haskell
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Library to mix shell scripting with Haskell programs; profiling
 HSH is designed to let you mix and match shell expressions with
 Haskell programs. With HSH, it is possible to easily run shell
 commands, capture their output or provide their input, and pipe them
 to/from other shell commands and arbitrary Haskell functions at will.
 .
 This package contains the HSH library compiled for profiling support

Package: libghc-hsh-doc
Section: haskell
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Library to mix shell scripting with Haskell programs; documentation
 HSH is designed to let you mix and match shell expressions with
 Haskell programs. With HSH, it is possible to easily run shell
 commands, capture their output or provide their input, and pipe them
 to/from other shell commands and arbitrary Haskell functions at will.
 .
 This package contains the hyperlinked documentation for the HSH library

=== debian/rules ===
#!/usr/bin/make -f

# Standard way of building Haskell libraries .
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

# If no threaded RTS is found, disable it
DEB_SETUP_GHC6_CONFIGURE_ARGS := $(shell test -e /usr/lib/ghc-$(GHC6_VERSION)/libHSrts_thr.a || echo --flags=-threaded)

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|HSH-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/HSH \
    ([\d\.]*\d)/

## haskell-hsh 2.1.2

=== debian/changelog ===
haskell-hsh (2.1.2-3build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 04:02:18 +0000

haskell-hsh (2.1.2-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:35 -0500

haskell-hsh (2.1.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:51 +0200

haskell-hsh (2.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #795607)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Aug 2015 10:35:20 +0200

haskell-hsh (2.1.0-5) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:40 +0200

haskell-hsh (2.1.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:36 +0200

haskell-hsh (2.1.0-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * This no longer supports -f-threaded, it seems
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:55 +0100

=== debian/control ===
Source: haskell-hsh
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-missingh-dev (>= 1.0.0),
 libghc-missingh-prof,
 libghc-hslogger-dev,
 libghc-hslogger-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-regex-base-dev,
 libghc-regex-base-prof,
 libghc-regex-compat-dev,
 libghc-regex-compat-prof,
 libghc-regex-posix-dev,
 libghc-regex-posix-prof,
Build-Depends-Indep: ghc-doc,
 libghc-missingh-doc,
 libghc-hslogger-doc,
 libghc-mtl-doc,
 libghc-regex-base-doc,
 libghc-regex-compat-doc,
 libghc-regex-posix-doc,
Standards-Version: 3.9.6
Homepage: http://software.complete.org/hsh
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: Library to mix shell scripting with Haskell programs
 HSH is designed to let you mix and match shell expressions with
 Haskell programs. With HSH, it is possible to easily run shell
 commands, capture their output or provide their input, and pipe them
 to and from other shell commands and arbitrary Haskell functions at will.
 Category: System

Package: libghc-hsh-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hsh-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hsh-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/HSH/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hsh 2.1.3

=== debian/changelog ===
haskell-hsh (2.1.3-4build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 00:50:23 +0000

haskell-hsh (2.1.3-4build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 15:14:00 +0200

haskell-hsh (2.1.3-4) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 22 Jun 2020 12:55:09 +0300

haskell-hsh (2.1.3-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:27 +0300

haskell-hsh (2.1.3-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:11:21 +0300

haskell-hsh (2.1.3-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 22:32:39 -0400

haskell-hsh (2.1.2-8) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:52 -0400

haskell-hsh (2.1.2-7) unstable; urgency=medium

  * Patch in order to work with newer versions of
    process (Closes: #847158).

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Wed, 07 Dec 2016 19:04:41 +0200

haskell-hsh (2.1.2-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:13 -0400

haskell-hsh (2.1.2-5) experimental; urgency=medium

  * Build with newer versions of directory.

 -- Clint Adams <clint@debian.org>  Wed, 19 Oct 2016 19:46:39 -0400

haskell-hsh (2.1.2-4) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 14:16:20 -0400

=== debian/control ===
Source: haskell-hsh
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-hslogger-dev,
 libghc-hslogger-prof,
 libghc-missingh-dev (>= 1.0.0),
 libghc-missingh-prof,
 libghc-regex-base-dev,
 libghc-regex-base-prof,
 libghc-regex-compat-dev,
 libghc-regex-compat-prof,
 libghc-regex-posix-dev,
 libghc-regex-posix-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-hslogger-doc,
 libghc-missingh-doc,
 libghc-regex-base-doc,
 libghc-regex-compat-doc,
 libghc-regex-posix-doc,
Standards-Version: 4.5.0
Homepage: http://software.complete.org/hsh
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hsh
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hsh]
X-Description: Library to mix shell scripting with Haskell programs
 HSH is designed to let you mix and match shell expressions with
 Haskell programs. With HSH, it is possible to easily run shell
 commands, capture their output or provide their input, and pipe them
 to and from other shell commands and arbitrary Haskell functions at will.
 Category: System

Package: libghc-hsh-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hsh-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hsh-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
https://hackage.haskell.org/package/HSH/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
